package com.tarena.oss.pricing.dao;

import java.util.Collection;

import com.tarena.oss.pricing.pojo.Pricing;

public interface PricingMgmtDAO {
	void insertPricing(Pricing p);
	void updatePricing(Pricing p);
	void deletePricing(Pricing p);
	Collection<Pricing> queryPricings();
	Collection<Pricing> queryPricings(String cond);
	Pricing queryPricing(Integer id);
	boolean isUsed(Integer id);
	Collection<Pricing> queryPricings(int currentPage);
	Collection<Pricing> queryPricings(String cond, int currentPage);
	int queryPricingCnt();
	int queryPricingCnt(String cond);
}
